Foreman - Bug #11673

API settings unquoted integer provided gives error
09/03/2015 04:59 AM - Ivan Necas

Status: Closed
Priority: Normal
Assignee: Ivan Necas
Category: Settings
Target version: 1.9.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1241077 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2666
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1241077
Description of problem:

Settings unqouted Integer values are resulting in an error that an integer is required. Changing it to a quoted value does not give this
error.
I would expect the otherway around that a quoted integer shall give an error instead.

This is also a regression compared to 6.0.8 that accepted the unqouted integer value.

1. curl -K /opt/hoici/etc/saté/curl-hoici.conf "-HContent-Type: application/json” "-d{\"per_page\":9999,\"setting\":{\"value\":60}}"
-XPUT https://localhost/api/v2/settings/52 {
"error": {"id":52,"errors":{"value":["is invalid: must be integer"]},"full_messages":["Value is invalid: must be integer"]}

}

1. curl -K /opt/hoici/etc/sat6/curl-hoici.conf "-HContent-Type: application/json" "-d{\"per_page\":9999,\"setting\":{\"value\":\"60\"}}"
-XPUT https://localhost/api/v2/settings/52 {"created_at":"2015-07-08T08:45:44Z","default":30,"description":"Puppet interval in
minutes”,"id":52,"name":"puppet_interval","settings_type":"integer","updated_at":"2015-07-08T09:57:12Z","value":60}

Version-Release number of selected component (if applicable):
How reproducible:

Steps to Reproduce:

1. See curl commands above

2.

3.

Actual results:
Ungouted integer value gives error

Expected results:
Unqouted integer works

Additional info:

Associated revisions

Revision 6¢c05bd5b - 09/03/2015 06:07 AM - lvan Necas

Fixes #11673 - accept integer value when setting the integer via API

Revision 020aa69a - 09/09/2015 10:59 AM - lvan Necas

Fixes #11673 - accept integer value when setting the integer via API

(cherry picked from commit 6c05bd5b88b4d301bb44dd65787716a2d5635554)
History

#1 - 09/03/2015 05:00 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2666 added
- Pull request deleted ()

#2 - 09/03/2015 06:57 AM - lvan Necas
- Status changed from Ready For Testing to Closed

#3 - 09/03/2015 07:04 AM - Dominic Cleal
- Category set to Settings

- translation missing: en.field_release set to 72
